Bug 676751 - [abrt] gnome-chemistry-utils-0.12.6-1.fc14: gcp::Reactant::Reactant: Process /usr/bin/gchempaint-0.12 was killed by signal 6 (SIGABRT)
Summary: [abrt] gnome-chemistry-utils-0.12.6-1.fc14: gcp::Reactant::Reactant: Process ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-chemistry-utils
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9ecf74afcc140e1695abfff0cdd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-11 02:52 UTC by Carlos Díaz
Modified: 2011-03-08 20:27 UTC (History)
2 users (show)

Fixed In Version: gnome-chemistry-utils-0.12.7-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-05 02:34:02 UTC


Attachments (Terms of Use)
File: backtrace (21.80 KB, text/plain)
2011-02-11 02:52 UTC, Carlos Díaz
no flags Details
test file (2.15 KB, application/x-gchempaint)
2011-02-11 21:23 UTC, Julian Sikorski
no flags Details
bug of erase electron movement arrows (3.19 KB, application/x-gchempaint)
2011-02-12 00:44 UTC, Carlos Díaz
no flags Details

Description Carlos Díaz 2011-02-11 02:52:27 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: gchempaint-0.12 '/home/carlos/Documentos/QM/Tesis/Libro/Modelos moleculares/CD-F/Retros\xc3\xadntesis.gchempaint'
component: gnome-chemistry-utils
crash_function: gcp::Reactant::Reactant
executable: /usr/bin/gchempaint-0.12
kernel: 2.6.34.7-61.fc13.i686
package: gnome-chemistry-utils-0.12.6-1.fc14
rating: 4
reason: Process /usr/bin/gchempaint-0.12 was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1297391122
uid: 500

How to reproduce
-----
1. Open a previusly created .gchempaint file (containing arrows of electron pair move)
2. Try to erase an arrow of electron pair move
3.

Comment 1 Carlos Díaz 2011-02-11 02:52:31 UTC
Created attachment 478167 [details]
File: backtrace

Comment 2 Julian Sikorski 2011-02-11 21:23:08 UTC
Created attachment 478315 [details]
test file

I tried with the attached file and it does not crash. Could you please attach a file triggering the crash (if it is not confidential, of course)?

Comment 3 Carlos Díaz 2011-02-12 00:44:15 UTC
Created attachment 478333 [details]
bug of erase electron movement arrows

Comment 4 Julian Sikorski 2011-02-12 08:03:15 UTC
ok, I can reproduce it now. Jean?

Comment 5 Jean Bréfort 2011-02-12 08:20:05 UTC
It does not crash for me, but I get a double free issue. Can you test with current svn (either 0.12 or trunk)?

Comment 6 Julian Sikorski 2011-02-12 08:47:34 UTC
0.12 svn seems to be working fine.

Comment 7 Jean Bréfort 2011-02-12 08:58:58 UTC
OK, I was pretty sure that I fixed that some time ago. I'll release 0.12.7 as soon as possible. Just need to fix a few issues I discovered yesterday (including a new crasher).

Comment 8 Julian Sikorski 2011-02-12 09:13:11 UTC
Carlos, I can provide an interim package for you if you need it; you are on F-14 i686, right? Why are you running an F13 kernel by the way?

Comment 9 Carlos Díaz 2011-02-12 14:31:45 UTC
Julian, don't worry, isn't urgent for me.

And yes, I'm using F-14 i686, about the f-13 kernel, I don't have idea why the kernel specified above is "kernel: 2.6.34.7-61.fc13.i686". In my package manager, the kernel version appears to be "kernel-2.6.35.11.83.fc14".

Comment 10 Fedora Update System 2011-02-27 08:57:03 UTC
Package gnome-chemistry-utils-0.12.7-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-chemistry-utils-0.12.7-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-chemistry-utils-0.12.7-1.fc13
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-02-27 08:57:48 UTC
Package gnome-chemistry-utils-0.12.7-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-chemistry-utils-0.12.7-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-chemistry-utils-0.12.7-1.fc14
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-02-27 22:13:58 UTC
Package gnome-chemistry-utils-0.12.7-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-chemistry-utils-0.12.7-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-chemistry-utils-0.12.7-1.fc15
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-03-01 04:22:11 UTC
gnome-chemistry-utils-0.12.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-chemistry-utils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-chemistry-utils-0.12.7-1.fc14

Comment 14 Fedora Update System 2011-03-05 02:33:54 UTC
gnome-chemistry-utils-0.12.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-08 20:27:12 UTC
gnome-chemistry-utils-0.12.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-08 20:27:53 UTC
gnome-chemistry-utils-0.12.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.